error: не удается найти класс символов для добавления класса kotlin в класс java в android studio 3.0 stable

Я использую android studio 3.0 и некоторый старый Java-класс Convert Java для Kotlin. после этого Kotlin класс can not import в классе java! ниже вы можете увидеть мой градел и изображение моей ошибки.

модуль build.grade

buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:3.0.0' classpath 'com.google.gms:google-services:3.1.0' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files } } allprojects { repositories { jcenter() } } task clean(type: Delete) { delete rootProject.buildDir } 

на уровне приложения build.gradel, как правило, я использую код gradel и в Android 3.0. Думаю, нам нужна какая-то вещь

 apply plugin: 'com.android.application' android { compileSdkVersion 25 buildToolsVersion '26.0.2' defaultConfig { applicationId "com.idehnavazan.beautifierclient" minSdkVersion 14 targetSdkVersion 25 versionCode 1 versionName "1.0" multiDexEnabled true testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } compileOptions { sourceCompatibility JavaVersion.VERSION_1_8 targetCompatibility JavaVersion.VERSION_1_8 } dataBinding { enabled = true } } repositories { mavenCentral() jcenter() maven { url 'https://maven.google.com' } maven { url 'https://jitpack.io' } } dependencies { compile 'com.android.support:multidex:1.0.1' compile 'com.android.support:appcompat-v7:25.3.1' compile 'com.github.rey5137:material:1.2.2' compile 'com.android.support:cardview-v7:25.3.1' } apply plugin: 'com.google.gms.google-services' 

введите описание изображения здесь

Для работы с файлами Kotlin вам необходимо добавить Kotlin в свой проект.

Проект / build.gradle

 buildscript { ext.kotlinVersion = '1.1.51' repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:3.0.0' classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlinVersion" } } 

проект / модуль / build.gradle

 apply plugin: 'com.android.application' apply plugin: 'kotlin-android' dependencies { implementation "org.jetbrains.kotlin:kotlin-stdlib:$kotlinVersion" } 

Что дальше

Поскольку вы используете библиотеку поддержки 25.3.1 и Android 3.0, ваш следующий вопрос, вероятно, будет следующим: атрибут style '@android: attr / windowEnterAnimation' не найден .